You are not logged in.

#1 2014-06-01 01:49:13

grimx
Member
Registered: 2010-07-31
Posts: 27

Steam Problems

I have Arch 3.14.4-1-ARCH #1 SMP PREEMPT  x86_64 GNU/Linux.
Everytime open up Steam I get a error dialog saying:

OpenGL GLX context is not using direct rendering, which may cause performance problems.

My graphics card is:

GeForce 6150SE nForce 430/integrated/SSE2

glxinfo | grep OpenGL outputs:

OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 6150SE nForce 430/integrated/SSE2
OpenGL version string: 2.1.2 NVIDIA 304.121
OpenGL shading language version string: 1.20 NVIDIA via Cg compiler
OpenGL extensions:

glxinfo32 | grep OpenGL outputs:

OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 6150SE nForce 430/integrated/SSE2
OpenGL version string: 2.1.2 NVIDIA 304.121
OpenGL shading language version string: 1.20 NVIDIA via Cg compiler
OpenGL extensions:

Arch 64Bit
x86_64 AMD Sempron(tm) Processor LE-1300
2 GIGS RAM, 500 GIG Hard Drive
NVIDIA GeForce 6160 SE integrated graphics

Offline

#2 2014-06-01 02:06:26

grimx
Member
Registered: 2010-07-31
Posts: 27

Re: Steam Problems

It looks like installing  lib32-nvidia-304xx-libgl from multilib worked


Arch 64Bit
x86_64 AMD Sempron(tm) Processor LE-1300
2 GIGS RAM, 500 GIG Hard Drive
NVIDIA GeForce 6160 SE integrated graphics

Offline

#3 2014-06-01 04:45:48

grimx
Member
Registered: 2010-07-31
Posts: 27

Re: Steam Problems

Now when I try to play the game No More Room In Hell, I get the error:

Could not find required OpenGL entry point 'glColorMaskIndexedEXT'! Either your video card is unsported, or your OpenGL
driver needs to be updated.

Is my card really that out of date?

Last edited by grimx (2014-06-01 04:46:51)


Arch 64Bit
x86_64 AMD Sempron(tm) Processor LE-1300
2 GIGS RAM, 500 GIG Hard Drive
NVIDIA GeForce 6160 SE integrated graphics

Offline

#4 2014-06-01 14:07:57

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 4,322

Re: Steam Problems

Looks like it's to old indeed , from http://store.steampowered.com/app/224260/?l=english

Linux System Requirements

Graphics: nVidia GeForce 8 series or better, ATI/AMD Radeaon HD2600/3600 (Graphic Drivers: nVidia 310, AMD 12.11), OpenGL 2.1

You could try installing nouveau and see if that supports OpenGL 2.1+ with your card.


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#5 2014-06-02 05:31:06

uberscientist
Member
Registered: 2012-01-27
Posts: 76

Re: Steam Problems

grimx wrote:

Now when I try to play the game No More Room In Hell, I get the error:

Could not find required OpenGL entry point 'glColorMaskIndexedEXT'! Either your video card is unsported, or your OpenGL
driver needs to be updated.

Is my card really that out of date?

I am also getting that error when launching steam after upgrading my NVidia drivers today:

[2014-06-01 18:41] [PACMAN] upgraded lib32-nvidia-utils (337.19-1 -> 337.25-1)
[2014-06-01 18:41] [PACMAN] upgraded lib32-nvidia-libgl (337.19-1 -> 337.25-1)
...
[2014-06-01 18:41] [PACMAN] upgraded nvidia (337.19-1 -> 337.25-1)

I have an nvidia GTX580.  Maybe I'll downgrade.

*EDIT:*

$ cd /var/cache/pacman/pkg
$ sudo pacman -U nvidia-337.19-1-x86_64.pkg.tar.xz nvidia-libgl-337.19-1-x86_64.pkg.tar.xz nvidia-utils-337.19-1-x86_64.pkg.tar.xz opencl-nvidia-337.19-1-x86_64.pkg.tar.xz lib32-nvidia-libgl-337.19-1-x86_64.pkg.tar.xz lib32-nvidia-utils-337.19-1-x86_64.pkg.tar.xz

Yeah, I'm able to launch TF2 after downgrading.

Last edited by uberscientist (2014-06-02 05:35:37)

Offline

#6 2014-06-02 15:54:06

DarkCerberus
Member
From: /dev/null
Registered: 2011-12-31
Posts: 247

Re: Steam Problems

The error seems to be also happening on the new mesa-libgl & mesa release that seems to have started after the update to 10.1.4 it may also be wise to file a bug report here https://bugs.archlinux.org/  & also report it as critical... By the way this does happen to me also but only when using open source drivers.

Offline

#7 2014-06-19 14:56:26

uberscientist
Member
Registered: 2012-01-27
Posts: 76

Re: Steam Problems

With the new nvidia 337.25-3 direct rendering is now working! My issue is [solved]

I did have to restart before everything started working though (maybe to load the new kernel?)

Offline

Board footer

Powered by FluxBB